Demographics
curl --request GET \
--url https://api.aisa.one/apis/v1/similarweb/website/demographics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/similarweb/website/demographics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/similarweb/website/demographics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"request": {
"format": "json",
"domain": "cnn.com",
"granularity": "monthly",
"country": "us",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"metrics": [
"age_18_to_24_share",
"age_25_to_34_share",
"age_35_to_44_share",
"age_45_to_54_share",
"age_55_to_64_share",
"age_65_plus_share",
"male_share",
"female_share"
]
},
"status": "success",
"last_updated": "2026-07-31"
},
"data": [
{
"age_18_to_24_share": 0.0684928856109901,
"age_25_to_34_share": 0.16978297333160164,
"age_35_to_44_share": 0.202684431962113,
"age_45_to_54_share": 0.2104190356035189,
"age_55_to_64_share": 0.21167119791609917,
"age_65_plus_share": 0.1369494755756772,
"male_share": 0.5816619373492008,
"female_share": 0.4183380626507992
}
]
}Audience
Demographics
Demographics — SimilarWeb
GET
https://api.aisa.one/apis/v1
/
similarweb
/
website
/
demographics
Demographics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Target domain, e.g. example.com.
Start month, format YYYY-MM.
End month, format YYYY-MM.
Time granularity. Allowed: monthly.
Available options:
monthly Two-letter country code. Allowed: us, ww. Default: ww. Coverage is limited to ww and us on the current plan.
Available options:
us, ww Traffic source device split. Allowed: total.
Available options:
total Restrict to the main domain only (true/false).
Response format. Allowed: json.
Available options:
json